org.vertx.java.core.file.impl

## Class DefaultFileSystem

- java.lang.Object
- - org.vertx.java.core.file.impl.DefaultFileSystem

All Implemented Interfaces:
  FileSystem

    public class DefaultFileSystem
    extends java.lang.Object
    implements FileSystem

### Constructor Summary

Constructors
Constructor and Description
`DefaultFileSystem(VertxInternal vertx)`

### Method Summary

Methods
`void` `chmod(java.lang.String path, java.lang.String perms, AsyncResultHandler<java.lang.Void> handler)` Change the permissions on the file represented by `path` to `perms`, asynchronously.
`void` `chmod(java.lang.String path, java.lang.String perms, java.lang.String dirPerms, AsyncResultHandler<java.lang.Void> handler)` Change the permissions on the file represented by `path` to `perms`, asynchronously.
`void` `chmodSync(java.lang.String path, java.lang.String perms)` Synchronous version of `FileSystem.chmod(String, String, AsyncResultHandler)`
`void` `chmodSync(java.lang.String path, java.lang.String perms, java.lang.String dirPerms)` Synchronous version of `FileSystem.chmod(String, String, String, AsyncResultHandler)`
`void` `copy(java.lang.String from, java.lang.String to, AsyncResultHandler<java.lang.Void> handler)` Copy a file from the path `from` to path `to`, asynchronously.
`void` `copy(java.lang.String from, java.lang.String to, boolean recursive, AsyncResultHandler<java.lang.Void> handler)` Copy a file from the path `from` to path `to`, asynchronously.
`void` `copySync(java.lang.String from, java.lang.String to)` Synchronous version of `FileSystem.copy(String, String, AsyncResultHandler)`
`void` `copySync(java.lang.String from, java.lang.String to, boolean recursive)` Synchronous version of `FileSystem.copy(String, String, boolean, AsyncResultHandler)`
`void` `createFile(java.lang.String path, AsyncResultHandler<java.lang.Void> handler)` Creates an empty file with the specified `path`, asynchronously.
`void` `createFile(java.lang.String path, java.lang.String perms, AsyncResultHandler<java.lang.Void> handler)` Creates an empty file with the specified `path` and permissions `perms`, asynchronously.
`void` `createFileSync(java.lang.String path)` Synchronous version of `FileSystem.createFile(String, AsyncResultHandler)`
`void` `createFileSync(java.lang.String path, java.lang.String perms)` Synchronous version of `FileSystem.createFile(String, String, AsyncResultHandler)`
`void` `delete(java.lang.String path, AsyncResultHandler<java.lang.Void> handler)` Deletes the file represented by the specified `path`, asynchronously.
`void` `delete(java.lang.String path, boolean recursive, AsyncResultHandler<java.lang.Void> handler)` Deletes the file represented by the specified `path`, asynchronously.
`void` `deleteSync(java.lang.String path)` Synchronous version of `FileSystem.delete(String, AsyncResultHandler)`
`void` `deleteSync(java.lang.String path, boolean recursive)` Synchronous version of `FileSystem.delete(String, boolean, AsyncResultHandler)`
`void` `exists(java.lang.String path, AsyncResultHandler<java.lang.Boolean> handler)` Determines whether the file as specified by the path `path` exists, asynchronously.
`boolean` `existsSync(java.lang.String path)` Synchronous version of `FileSystem.exists(String, AsyncResultHandler)`
`void` `fsProps(java.lang.String path, AsyncResultHandler<FileSystemProps> handler)` Returns properties of the file-system being used by the specified `path`, asynchronously.
`FileSystemProps` `fsPropsSync(java.lang.String path)` Synchronous version of `FileSystem.fsProps(String, AsyncResultHandler)`
`void` `link(java.lang.String link, java.lang.String existing, AsyncResultHandler<java.lang.Void> handler)` Create a hard link on the file system from `link` to `existing`, asynchronously.
`void` `linkSync(java.lang.String link, java.lang.String existing)` Synchronous version of `FileSystem.link(String, String, AsyncResultHandler)`
`void` `lprops(java.lang.String path, AsyncResultHandler<FileProps> handler)` Obtain properties for the link represented by `path`, asynchronously.
`FileProps` `lpropsSync(java.lang.String path)` Synchronous version of `FileSystem.lprops(String, AsyncResultHandler)`
`void` `mkdir(java.lang.String path, AsyncResultHandler<java.lang.Void> handler)` Create the directory represented by `path`, asynchronously.
`void` `mkdir(java.lang.String path, boolean createParents, AsyncResultHandler<java.lang.Void> handler)` Create the directory represented by `path`, asynchronously.
`void` `mkdir(java.lang.String path, java.lang.String perms, AsyncResultHandler<java.lang.Void> handler)` Create the directory represented by `path`, asynchronously.
`void` `mkdir(java.lang.String path, java.lang.String perms, boolean createParents, AsyncResultHandler<java.lang.Void> handler)` Create the directory represented by `path`, asynchronously.
`void` `mkdirSync(java.lang.String path)` Synchronous version of `FileSystem.mkdir(String, AsyncResultHandler)`
`void` `mkdirSync(java.lang.String path, boolean createParents)` Synchronous version of `FileSystem.mkdir(String, boolean, AsyncResultHandler)`
`void` `mkdirSync(java.lang.String path, java.lang.String perms)` Synchronous version of `FileSystem.mkdir(String, String, AsyncResultHandler)`
`void` `mkdirSync(java.lang.String path, java.lang.String perms, boolean createParents)` Synchronous version of `FileSystem.mkdir(String, String, boolean, AsyncResultHandler)`
`void` `move(java.lang.String from, java.lang.String to, AsyncResultHandler<java.lang.Void> handler)` Move a file from the path `from` to path `to`, asynchronously.
`void` `moveSync(java.lang.String from, java.lang.String to)` Synchronous version of `FileSystem.move(String, String, AsyncResultHandler)`
`void` `open(java.lang.String path, AsyncResultHandler<AsyncFile> handler)` Open the file represented by `path`, asynchronously.
`void` `open(java.lang.String path, java.lang.String perms, AsyncResultHandler<AsyncFile> handler)` Open the file represented by `path`, asynchronously.
`void` `open(java.lang.String path, java.lang.String perms, boolean createNew, AsyncResultHandler<AsyncFile> handler)` Open the file represented by `path`, asynchronously.
`void` `open(java.lang.String path, java.lang.String perms, boolean read, boolean write, boolean createNew, AsyncResultHandler<AsyncFile> handler)` Open the file represented by `path`, asynchronously.
`void` `open(java.lang.String path, java.lang.String perms, boolean read, boolean write, boolean createNew, boolean flush, AsyncResultHandler<AsyncFile> handler)` Open the file represented by `path`, asynchronously.
`AsyncFile` `openSync(java.lang.String path)` Synchronous version of `FileSystem.open(String, AsyncResultHandler)`
`AsyncFile` `openSync(java.lang.String path, java.lang.String perms)` Synchronous version of `FileSystem.open(String, String, AsyncResultHandler)`
`AsyncFile` `openSync(java.lang.String path, java.lang.String perms, boolean createNew)` Synchronous version of `FileSystem.open(String, String, boolean, AsyncResultHandler)`
`AsyncFile` `openSync(java.lang.String path, java.lang.String perms, boolean read, boolean write, boolean createNew)` Synchronous version of `FileSystem.open(String, String, boolean, boolean, boolean, AsyncResultHandler)`
`AsyncFile` `openSync(java.lang.String path, java.lang.String perms, boolean read, boolean write, boolean createNew, boolean flush)` Synchronous version of `FileSystem.open(String, String, boolean, boolean, boolean, boolean, AsyncResultHandler)`
`void` `props(java.lang.String path, AsyncResultHandler<FileProps> handler)` Obtain properties for the file represented by `path`, asynchronously.
`FileProps` `propsSync(java.lang.String path)` Synchronous version of `FileSystem.props(String, AsyncResultHandler)`
`void` `readDir(java.lang.String path, AsyncResultHandler<java.lang.String[]> handler)` Read the contents of the directory specified by `path`, asynchronously.
`void` `readDir(java.lang.String path, java.lang.String filter, AsyncResultHandler<java.lang.String[]> handler)` Read the contents of the directory specified by `path`, asynchronously.
`java.lang.String[]` `readDirSync(java.lang.String path)` Synchronous version of `FileSystem.readDir(String, AsyncResultHandler)`
`java.lang.String[]` `readDirSync(java.lang.String path, java.lang.String filter)` Synchronous version of `FileSystem.readDir(String, String, AsyncResultHandler)`
`void` `readFile(java.lang.String path, AsyncResultHandler<Buffer> handler)` Reads the entire file as represented by the path `path` as a `Buffer`, asynchronously.
`Buffer` `readFileSync(java.lang.String path)` Synchronous version of `FileSystem.readFile(String, AsyncResultHandler)`
`void` `readSymlink(java.lang.String link, AsyncResultHandler<java.lang.String> handler)` Returns the path representing the file that the symbolic link specified by `link` points to, asynchronously.
`java.lang.String` `readSymlinkSync(java.lang.String link)` Synchronous version of `FileSystem.readSymlink(String, AsyncResultHandler)`
`void` `symlink(java.lang.String link, java.lang.String existing, AsyncResultHandler<java.lang.Void> handler)` Create a symbolic link on the file system from `link` to `existing`, asynchronously.
`void` `symlinkSync(java.lang.String link, java.lang.String existing)` Synchronous version of `FileSystem.link(String, String, AsyncResultHandler)`
`void` `truncate(java.lang.String path, long len, AsyncResultHandler<java.lang.Void> handler)` Truncate the file represented by `path` to length `len` in bytes, asynchronously.
`void` `truncateSync(java.lang.String path, long len)` Synchronous version of `FileSystem.truncate(String, long, AsyncResultHandler)`
`void` `unlink(java.lang.String link, AsyncResultHandler<java.lang.Void> handler)` Unlinks the link on the file system represented by the path `link`, asynchronously.
`void` `unlinkSync(java.lang.String link)` Synchronous version of `FileSystem.unlink(String, AsyncResultHandler)`
`void` `writeFile(java.lang.String path, Buffer data, AsyncResultHandler<java.lang.Void> handler)` Creates the file, and writes the specified `Buffer data` to the file represented by the path `path`, asynchronously.
`void` `writeFileSync(java.lang.String path, Buffer data)` Synchronous version of `FileSystem.writeFile(String, Buffer, AsyncResultHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultFileSystem

    public DefaultFileSystem(VertxInternal vertx)

### Method Detail

#### copy

    public void copy(java.lang.String from,
            java.lang.String to,
            AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Copy a file from the path `from` to path `to`, asynchronously.

The copy will fail if the destination already exists.

Specified by:
  `copy` in interface `FileSystem`

#### copySync

    public void copySync(java.lang.String from,
                java.lang.String to)
                  throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.copy(String, String, AsyncResultHandler)`

Specified by:
  `copySync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### copy

    public void copy(java.lang.String from,
            java.lang.String to,
            boolean recursive,
            AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Copy a file from the path `from` to path `to`, asynchronously.

If `recursive` is `true` and `from` represents a directory, then the directory and its contents will be copied recursively to the destination `to`.

The copy will fail if the destination if the destination already exists.

Specified by:
  `copy` in interface `FileSystem`

#### copySync

    public void copySync(java.lang.String from,
                java.lang.String to,
                boolean recursive)
                  throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.copy(String, String, boolean, AsyncResultHandler)`

Specified by:
  `copySync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### move

    public void move(java.lang.String from,
            java.lang.String to,
            AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Move a file from the path `from` to path `to`, asynchronously.

The move will fail if the destination already exists.

Specified by:
  `move` in interface `FileSystem`

#### moveSync

    public void moveSync(java.lang.String from,
                java.lang.String to)
                  throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.move(String, String, AsyncResultHandler)`

Specified by:
  `moveSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### truncate

    public void truncate(java.lang.String path,
                long len,
                AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Truncate the file represented by `path` to length `len` in bytes, asynchronously.

The operation will fail if the file does not exist or `len` is less than `zero`.

Specified by:
  `truncate` in interface `FileSystem`

#### truncateSync

    public void truncateSync(java.lang.String path,
                    long len)
                      throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.truncate(String, long, AsyncResultHandler)`

Specified by:
  `truncateSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### chmod

    public void chmod(java.lang.String path,
             java.lang.String perms,
             AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Change the permissions on the file represented by `path` to `perms`, asynchronously. The permission String takes the form rwxr-x--- as specified here.

Specified by:
  `chmod` in interface `FileSystem`

#### chmodSync

    public void chmodSync(java.lang.String path,
                 java.lang.String perms)
                   throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.chmod(String, String, AsyncResultHandler)`

Specified by:
  `chmodSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### chmod

    public void chmod(java.lang.String path,
             java.lang.String perms,
             java.lang.String dirPerms,
             AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Change the permissions on the file represented by `path` to `perms`, asynchronously. The permission String takes the form rwxr-x--- as specified in {here}.

If the file is directory then all contents will also have their permissions changed recursively. Any directory permissions will be set to `dirPerms`, whilst any normal file permissions will be set to `perms`.

Specified by:
  `chmod` in interface `FileSystem`

#### chmodSync

    public void chmodSync(java.lang.String path,
                 java.lang.String perms,
                 java.lang.String dirPerms)
                   throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.chmod(String, String, String, AsyncResultHandler)`

Specified by:
  `chmodSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### props

    public void props(java.lang.String path,
             AsyncResultHandler<FileProps> handler)

Description copied from interface: `FileSystem`
Obtain properties for the file represented by `path`, asynchronously. If the file is a link, the link will be followed.

Specified by:
  `props` in interface `FileSystem`

#### propsSync

    public FileProps propsSync(java.lang.String path)
                        throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.props(String, AsyncResultHandler)`

Specified by:
  `propsSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### lprops

    public void lprops(java.lang.String path,
              AsyncResultHandler<FileProps> handler)

Description copied from interface: `FileSystem`
Obtain properties for the link represented by `path`, asynchronously. The link will not be followed.

Specified by:
  `lprops` in interface `FileSystem`

#### lpropsSync

    public FileProps lpropsSync(java.lang.String path)
                         throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.lprops(String, AsyncResultHandler)`

Specified by:
  `lpropsSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### link

    public void link(java.lang.String link,
            java.lang.String existing,
            AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Create a hard link on the file system from `link` to `existing`, asynchronously.

Specified by:
  `link` in interface `FileSystem`

#### linkSync

    public void linkSync(java.lang.String link,
                java.lang.String existing)
                  throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.link(String, String, AsyncResultHandler)`

Specified by:
  `linkSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### symlink

    public void symlink(java.lang.String link,
               java.lang.String existing,
               AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Create a symbolic link on the file system from `link` to `existing`, asynchronously.

Specified by:
  `symlink` in interface `FileSystem`

#### symlinkSync

    public void symlinkSync(java.lang.String link,
                   java.lang.String existing)
                     throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.link(String, String, AsyncResultHandler)`

Specified by:
  `symlinkSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### unlink

    public void unlink(java.lang.String link,
              AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Unlinks the link on the file system represented by the path `link`, asynchronously.

Specified by:
  `unlink` in interface `FileSystem`

#### unlinkSync

    public void unlinkSync(java.lang.String link)
                    throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.unlink(String, AsyncResultHandler)`

Specified by:
  `unlinkSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### readSymlink

    public void readSymlink(java.lang.String link,
                   AsyncResultHandler<java.lang.String> handler)

Description copied from interface: `FileSystem`
Returns the path representing the file that the symbolic link specified by `link` points to, asynchronously.

Specified by:
  `readSymlink` in interface `FileSystem`

#### readSymlinkSync

    public java.lang.String readSymlinkSync(java.lang.String link)
                                     throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.readSymlink(String, AsyncResultHandler)`

Specified by:
  `readSymlinkSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### delete

    public void delete(java.lang.String path,
              AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Deletes the file represented by the specified `path`, asynchronously.

Specified by:
  `delete` in interface `FileSystem`

#### deleteSync

    public void deleteSync(java.lang.String path)
                    throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.delete(String, AsyncResultHandler)`

Specified by:
  `deleteSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### delete

    public void delete(java.lang.String path,
              boolean recursive,
              AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Deletes the file represented by the specified `path`, asynchronously.

If the path represents a directory and `recursive = true` then the directory and its contents will be deleted recursively.

Specified by:
  `delete` in interface `FileSystem`

#### deleteSync

    public void deleteSync(java.lang.String path,
                  boolean recursive)
                    throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.delete(String, boolean, AsyncResultHandler)`

Specified by:
  `deleteSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### mkdir

    public void mkdir(java.lang.String path,
             AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Create the directory represented by `path`, asynchronously.

The operation will fail if the directory already exists.

Specified by:
  `mkdir` in interface `FileSystem`

#### mkdirSync

    public void mkdirSync(java.lang.String path)
                   throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.mkdir(String, AsyncResultHandler)`

Specified by:
  `mkdirSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### mkdir

    public void mkdir(java.lang.String path,
             boolean createParents,
             AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Create the directory represented by `path`, asynchronously.

If `createParents` is set to `true` then any non-existent parent directories of the directory will also be created.

The operation will fail if the directory already exists.

Specified by:
  `mkdir` in interface `FileSystem`

#### mkdirSync

    public void mkdirSync(java.lang.String path,
                 boolean createParents)
                   throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.mkdir(String, boolean, AsyncResultHandler)`

Specified by:
  `mkdirSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### mkdir

    public void mkdir(java.lang.String path,
             java.lang.String perms,
             AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Create the directory represented by `path`, asynchronously.

The new directory will be created with permissions as specified by `perms`. The permission String takes the form rwxr-x--- as specified in here.

The operation will fail if the directory already exists.

Specified by:
  `mkdir` in interface `FileSystem`

#### mkdirSync

    public void mkdirSync(java.lang.String path,
                 java.lang.String perms)
                   throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.mkdir(String, String, AsyncResultHandler)`

Specified by:
  `mkdirSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### mkdir

    public void mkdir(java.lang.String path,
             java.lang.String perms,
             boolean createParents,
             AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Create the directory represented by `path`, asynchronously.

The new directory will be created with permissions as specified by `perms`. The permission String takes the form rwxr-x--- as specified in here.

If `createParents` is set to `true` then any non-existent parent directories of the directory will also be created.

The operation will fail if the directory already exists.

Specified by:
  `mkdir` in interface `FileSystem`

#### mkdirSync

    public void mkdirSync(java.lang.String path,
                 java.lang.String perms,
                 boolean createParents)
                   throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.mkdir(String, String, boolean, AsyncResultHandler)`

Specified by:
  `mkdirSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### readDir

    public void readDir(java.lang.String path,
               AsyncResultHandler<java.lang.String[]> handler)

Description copied from interface: `FileSystem`
Read the contents of the directory specified by `path`, asynchronously.

The result is an array of String representing the paths of the files inside the directory.

Specified by:
  `readDir` in interface `FileSystem`

#### readDirSync

    public java.lang.String[] readDirSync(java.lang.String path)
                                   throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.readDir(String, AsyncResultHandler)`

Specified by:
  `readDirSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### readDir

    public void readDir(java.lang.String path,
               java.lang.String filter,
               AsyncResultHandler<java.lang.String[]> handler)

Description copied from interface: `FileSystem`
Read the contents of the directory specified by `path`, asynchronously.

The paramater `filter` is a regular expression. If `filter` is specified then only the paths that match @{filter}will be returned.

The result is an array of String representing the paths of the files inside the directory.

Specified by:
  `readDir` in interface `FileSystem`

#### readDirSync

    public java.lang.String[] readDirSync(java.lang.String path,
                                 java.lang.String filter)
                                   throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.readDir(String, String, AsyncResultHandler)`

Specified by:
  `readDirSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### readFile

    public void readFile(java.lang.String path,
                AsyncResultHandler<Buffer> handler)

Description copied from interface: `FileSystem`
Reads the entire file as represented by the path `path` as a `Buffer`, asynchronously.

Do not user this method to read very large files or you risk running out of available RAM.

Specified by:
  `readFile` in interface `FileSystem`

#### readFileSync

    public Buffer readFileSync(java.lang.String path)
                        throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.readFile(String, AsyncResultHandler)`

Specified by:
  `readFileSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### writeFile

    public void writeFile(java.lang.String path,
                 Buffer data,
                 AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Creates the file, and writes the specified `Buffer data` to the file represented by the path `path`, asynchronously.

Specified by:
  `writeFile` in interface `FileSystem`

#### writeFileSync

    public void writeFileSync(java.lang.String path,
                     Buffer data)
                       throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.writeFile(String, Buffer, AsyncResultHandler)`

Specified by:
  `writeFileSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### open

    public void open(java.lang.String path,
            AsyncResultHandler<AsyncFile> handler)

Description copied from interface: `FileSystem`
Open the file represented by `path`, asynchronously.

The file is opened for both reading and writing. If the file does not already exist it will be created. Write operations will not automatically flush to storage.

Specified by:
  `open` in interface `FileSystem`

#### openSync

    public AsyncFile openSync(java.lang.String path)
                       throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.open(String, AsyncResultHandler)`

Specified by:
  `openSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### open

    public void open(java.lang.String path,
            java.lang.String perms,
            AsyncResultHandler<AsyncFile> handler)

Description copied from interface: `FileSystem`
Open the file represented by `path`, asynchronously.

The file is opened for both reading and writing. If the file does not already exist it will be created with the permissions as specified by `perms`. Write operations will not automatically flush to storage.

Specified by:
  `open` in interface `FileSystem`

#### openSync

    public AsyncFile openSync(java.lang.String path,
                     java.lang.String perms)
                       throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.open(String, String, AsyncResultHandler)`

Specified by:
  `openSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### open

    public void open(java.lang.String path,
            java.lang.String perms,
            boolean createNew,
            AsyncResultHandler<AsyncFile> handler)

Description copied from interface: `FileSystem`
Open the file represented by `path`, asynchronously.

The file is opened for both reading and writing. If the file does not already exist and `createNew` is `true` it will be created with the permissions as specified by `perms`, otherwise the operation will fail. Write operations will not automatically flush to storage.

Specified by:
  `open` in interface `FileSystem`

#### openSync

    public AsyncFile openSync(java.lang.String path,
                     java.lang.String perms,
                     boolean createNew)
                       throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.open(String, String, boolean, AsyncResultHandler)`

Specified by:
  `openSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### open

    public void open(java.lang.String path,
            java.lang.String perms,
            boolean read,
            boolean write,
            boolean createNew,
            AsyncResultHandler<AsyncFile> handler)

Description copied from interface: `FileSystem`
Open the file represented by `path`, asynchronously.

If `read` is `true` the file will be opened for reading. If `write` is `true` the file will be opened for writing.

If the file does not already exist and `createNew` is `true` it will be created with the permissions as specified by `perms`, otherwise the operation will fail.

Write operations will not automatically flush to storage.

Specified by:
  `open` in interface `FileSystem`

#### openSync

    public AsyncFile openSync(java.lang.String path,
                     java.lang.String perms,
                     boolean read,
                     boolean write,
                     boolean createNew)
                       throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.open(String, String, boolean, boolean, boolean, AsyncResultHandler)`

Specified by:
  `openSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### open

    public void open(java.lang.String path,
            java.lang.String perms,
            boolean read,
            boolean write,
            boolean createNew,
            boolean flush,
            AsyncResultHandler<AsyncFile> handler)

Description copied from interface: `FileSystem`
Open the file represented by `path`, asynchronously.

If `read` is `true` the file will be opened for reading. If `write` is `true` the file will be opened for writing.

If the file does not already exist and `createNew` is `true` it will be created with the permissions as specified by `perms`, otherwise the operation will fail.

If `flush` is `true` then all writes will be automatically flushed through OS buffers to the underlying storage on each write.

Specified by:
  `open` in interface `FileSystem`

#### openSync

    public AsyncFile openSync(java.lang.String path,
                     java.lang.String perms,
                     boolean read,
                     boolean write,
                     boolean createNew,
                     boolean flush)
                       throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.open(String, String, boolean, boolean, boolean, boolean, AsyncResultHandler)`

Specified by:
  `openSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### createFile

    public void createFile(java.lang.String path,
                  AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Creates an empty file with the specified `path`, asynchronously.

Specified by:
  `createFile` in interface `FileSystem`

#### createFileSync

    public void createFileSync(java.lang.String path)
                        throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.createFile(String, AsyncResultHandler)`

Specified by:
  `createFileSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### createFile

    public void createFile(java.lang.String path,
                  java.lang.String perms,
                  AsyncResultHandler<java.lang.Void> handler)

Description copied from interface: `FileSystem`
Creates an empty file with the specified `path` and permissions `perms`, asynchronously.

Specified by:
  `createFile` in interface `FileSystem`

#### createFileSync

    public void createFileSync(java.lang.String path,
                      java.lang.String perms)
                        throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.createFile(String, String, AsyncResultHandler)`

Specified by:
  `createFileSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### exists

    public void exists(java.lang.String path,
              AsyncResultHandler<java.lang.Boolean> handler)

Description copied from interface: `FileSystem`
Determines whether the file as specified by the path `path` exists, asynchronously.

Specified by:
  `exists` in interface `FileSystem`

#### existsSync

    public boolean existsSync(java.lang.String path)
                       throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.exists(String, AsyncResultHandler)`

Specified by:
  `existsSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`

#### fsProps

    public void fsProps(java.lang.String path,
               AsyncResultHandler<FileSystemProps> handler)

Description copied from interface: `FileSystem`
Returns properties of the file-system being used by the specified `path`, asynchronously.

Specified by:
  `fsProps` in interface `FileSystem`

#### fsPropsSync

    public FileSystemProps fsPropsSync(java.lang.String path)
                                throws java.lang.Exception

Description copied from interface: `FileSystem`
Synchronous version of `FileSystem.fsProps(String, AsyncResultHandler)`

Specified by:
  `fsPropsSync` in interface `FileSystem`
Throws:
  `java.lang.Exception`